# EinheitenAdder

Package tourplaner.business

## Class EinheitenAdder

- java.lang.Object
- - tourplaner.business.EinheitenAdder

    public class EinheitenAdder
    extends java.lang.Object

Fügt am ende eines Strings die einheiten an

### Constructor Summary

Constructors
`EinheitenAdder()`

### Method Summary

All Methods Static Methods Concrete Methods
`static java.lang.String` `addJson​(java.lang.String filename)` Fügt am ende .json hinzu.
`static java.lang.String` `addKm​(java.lang.String km)` Fügt km hinzu
`static java.lang.String` `addMeter​(java.lang.String meter)` Fügt meter hinzu
`static java.lang.String` `addMinuten​(java.lang.String min)` Fügt minuten hinzu
`static java.lang.String` `addSpeed​(java.lang.String speed)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EinheitenAdder

    public EinheitenAdder()

### Method Detail

#### addMeter

    public static java.lang.String addMeter​(java.lang.String meter)

Fügt meter hinzu

Parameters:
  `meter` - Meter als String
Returns:
  Meter mit einheit

#### addSpeed

    public static java.lang.String addSpeed​(java.lang.String speed)

#### addKm

    public static java.lang.String addKm​(java.lang.String km)

Fügt km hinzu

Parameters:
  `km` - km als String
Returns:
  km mit einheit

#### addMinuten

    public static java.lang.String addMinuten​(java.lang.String min)

Fügt minuten hinzu

Parameters:
  `min` - minuten als String
Returns:
  minuten mit einheit

#### addJson

    public static java.lang.String addJson​(java.lang.String filename)

Fügt am ende .json hinzu. Sofern es nicht schon dort ist

Parameters:
  `filename` - Filename ohne .json am ende
Returns:
  Der Filename mit .json am ende-